/* 
  SlackService.strings
  SeeCoreResources

  Created by Helge Hess on 09.10.18.
  Copyright © 2018-2022 ZeeZide. All rights reserved.
*/

Errors.InvalidData.title = "Invalid Client Data";
Errors.InvalidData.body  = "The client IDs you entered are invalid. Please check and try again.";
Errors.AuthFailed.title  = "Slack Auth Failed";
Errors.AuthFailed.body   = "Slack authentication failed. You may want to try again.";

nameLabel                = "Name";

Edit.title               = "Slack Account";
Edit.useSeeAuthD         = "Use ZeeZide ID";
Edit.limitedTokenNote    = " (bot token, limited functionality)";
Edit.userToken           = "Token provided by User";

Create.title             = "Log into Slack";
Create.provideNewClientIDIntro = "Use an own Slack app ID";
Create.enterTokenIntro   = "Enter a Slack token";
Create.useWebAuthIntro   = "Simulate the web authentication to acquire a token (unsupported):";
Create.useSeeAuthD       = "Use ZeeZide ID";
Create.useSelectedID     = "Use ID";
Create.useToken          = "Use Token";
Create.useWebAuth        = "Login";
Create.clientID          = "Client-ID";
Create.clientSecret      = "Client-Secret";
Create.token             = "Token";
Create.workspaceDomain   = "Workspace Domain";
Create.loginEmail        = "Login Email";
Create.useOwnAuth        = "Use own Client-ID";
Create.introText         = "You can login using either our hosted app-id (our server stores nothing, and does not see the password), or you can setup an own Slack application entry and provide the Client-ID and Client-Secret values.";
Create.easyIntroText     = "We offer various mechanism to log into Slack. Authentication using our Slack registered ZeeZide App-ID is the official and recommended way.\nYou'll provide your workspace name and your login credentials (our authentication server stores nothing, and does not get to see the password).\n\nUse 'Other Authentication' to get access to additional authentication methods.";
Create.useAdvanced       = "Other Authentication";

TeamInfo.name            = "Team";
TeamInfo.domain          = "Domain";
TeamInfo.emailDomain     = "Email Domain";
TeamInfo.enterpriseName  = "Enterprise";
TeamInfo.id              = "Team-ID";
TeamInfo.enterpriseID    = "Enterprise-ID";

ProfileInfo.realName     = "Name";
ProfileInfo.displayName  = "Display Name";
ProfileInfo.email        = "Email";
ProfileInfo.role         = "Role";

TestLicense.openStore    = "Open Store";
TestLicense.ok           = "OK";
TestLicense.message      = "Found no license, restricted test mode.";
TestLicense.text         = "No valid license key could be found, the application is running in test mode. The application is limited to the `#general` channel plus 4 user selectable ones, i.e. other conversations cannot be opened. All other features are available, e.g. there is no limitation on the number of workspaces.\nA license can be purchased in the preferences panel.\n\nYou are warmly welcome to contact us at support@shrugs.app for more information.";

Message.unsupportedBlock = "This is content which Shrugs unfortunately can't display yet.";
